/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling.scss';
@import 'css/mixins/_fonts.scss';
@import 'css/_variables.scss';

.container {
  display: flex;
  flex-direction: column;
  cursor: pointer;
  min-height: fit-content;

  background: $coa-white-100;
  box-shadow: 0px 0px 10px rgba(169, 184, 210, 0.5);
  border-radius: 0px 0px 5px 5px;

  &__cover {
    position: relative;
    height: 16.75rem;
    border-radius: 4px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    -o-border-radius: 4px;
    overflow: hidden;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

    &__actions {
      position: absolute;
      right: 14px;
      top: 14px;
      color: $coa-primary;
      display: flex;
      align-items: center;
      column-gap: 0.75rem;

      &__select {
        color: rgba($original-black, 0.85);
        font-size: 0.875rem;
        font-style: normal;
        font-weight: 400;
        line-height: 1.375rem;
        min-width: 7.3125rem;
        overflow: hidden;
        border-radius: 50px;
        -webkit-border-radius: 50px;
        -moz-border-radius: 50px;
        -ms-border-radius: 50px;
        -o-border-radius: 50px;
      }
    }

    &__titleContainer {
      position: absolute;
      bottom: 0;
      left: 0;
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      justify-content: space-between;
      padding: 0.75rem 1.375rem;
      row-gap: 0.5rem;

      &__title {
        @include primary-text(1.25rem, $coa-white-100, 700);
        &__rev {
          margin-left: 0.4rem;
          @include primary-text(0.8rem, $coa-light-gray-100, 700);
        }
      }
    }
  }
  &__body {
    display: grid;
    row-gap: 0.25rem;
    flex-direction: column;
    grid-template-columns: 33% 33% 33%;
    grid-template-rows: 50% 50%;
    row-gap: 0.625rem;
    padding: 1.125rem 1.4375rem;

    &__tagsContainer {
      display: flex;
      column-gap: 0.25rem;
    }

    &__timeframe,
    &__projectType,
    &__budget,
    &__projectVersion {
      border-left: solid 1px $coa-light-gray-100;
      padding-left: 10px;
      margin-left: 10px;
    }

    &__divider {
      height: 100%;
      @include breakpoint(sm) {
        display: none;
      }
    }
  }
}
